function varargout = leveling(varargin)
% LEVELING MATLAB code for leveling.fig
%      LEVELING, by itself, creates a new LEVELING or raises the existing
%      singleton*.
%
%      H = LEVELING returns the handle to a new LEVELING or the handle to
%      the existing singleton*.
%
%      LEVELING('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in LEVELING.M with the given input arguments.
%
%      LEVELING('Property','Value',...) creates a new LEVELING or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before leveling_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to leveling_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help leveling

% Last Modified by GUIDE v2.5 22-May-2017 22:33:20

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @leveling_OpeningFcn, ...
                   'gui_OutputFcn',  @leveling_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before leveling is made visible.
function leveling_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to leveling (see VARARGIN)

% Choose default command line output for leveling
handles.output = hObject;

%% Naten pedchozho nastaven
global IA DeviceID Format
if exist('settings.txt','file')

    try
	[Adap,DevID,Kam,Rozl,Prum_bub,Prum_lib,Cit_lib,Vel_lib,Presnost,Detek,Prah]=nastaveni('settings.txt');
    set(handles.text_adaptor,'String',Adap);
    set(handles.text_kamera,'String',Kam);
    set(handles.text_rozliseni,'String',Rozl);
    set(handles.edit_bub,'String',Prum_bub);
    set(handles.edit_stred,'String',Prum_lib);
    set(handles.edit_cit,'String',Cit_lib);
    set(handles.edit_presnost,'String',Presnost);
    detektor=get(handles.pop_detec,'String');
    set(handles.pop_detec,'Value',find(strcmp(detektor,Detek)));
    set(handles.edit_detec,'String',str2num(Prah));
    set(handles.edit_velik,'String',Vel_lib);
    
    IA=Adap;
    DeviceID=DevID;
    Format=Rozl;
    
    VidObj= videoinput(IA, DeviceID, Format);
    VidObj.ReturnedColorSpace = 'rgb';
    handles.VidObj=VidObj;
    end
%%   vyhledn dostupnch COM-port
com_i=instrhwinfo('serial');
coms=com_i.AvailableSerialPorts;
l=length(coms);

if l>0
set(handles.pop_com,'String',coms);
else
set(handles.pop_com,'String',' ');
set(handles.pb_com,'Enable','off');
end
    
end

%% Nastaven grafiky
set(findall(handles.panel_lib, '-property', 'enable'), 'enable', 'off');
set(findall(handles.panel_detec, '-property', 'enable'), 'enable', 'off');
axes(handles.PRW);
imshow('logo_cvut.jpg');

[a,map]=imread('settings.png');
[r,c,d]=size(a); 
x=ceil(r/25); 
y=ceil(c/25); 
g=a(1:x:end,1:y:end,:);
set(handles.pb_set_lib,'CData',g);
set(handles.pb_set_hrany,'CData',g);

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes leveling wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = leveling_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;

function edit_detec_Callback(hObject, eventdata, handles)
% hObject    handle to edit_detec (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_detec as text
%        str2double(get(hObject,'String')) returns contents of edit_detec as a double
img=getsnapshot(handles.VidObj); 
img_gr=rgb2gray(img);
detector=get(handles.pop_detec,'String');
indx=get(handles.pop_detec,'ListboxTop');
thresh=get(handles.edit_detec,'String');
img_edge=edge(img_gr,detector{indx},str2num(thresh));
imshow(img_edge);


% --- Executes during object creation, after setting all properties.
function edit_detec_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_detec (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on selection change in pop_detec.
function pop_detec_Callback(hObject, eventdata, handles)
% hObject    handle to pop_detec (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns pop_detec contents as cell array
%        contents{get(hObject,'Value')} returns selected item from pop_detec
img=getsnapshot(handles.VidObj); 
img_gr=rgb2gray(img);
detector=get(handles.pop_detec,'String');
indx=get(handles.pop_detec,'ListboxTop');
thresh=get(handles.edit_detec,'String');
img_edge=edge(img_gr,detector{indx},str2num(thresh));
imshow(img_edge);


% --- Executes during object creation, after setting all properties.
function pop_detec_CreateFcn(hObject, eventdata, handles)
% hObject    handle to pop_detec (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end




function edit_stred_Callback(hObject, eventdata, handles)
% hObject    handle to edit_stred (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_stred as text
%        str2double(get(hObject,'String')) returns contents of edit_stred as a double


% --- Executes during object creation, after setting all properties.
function edit_stred_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_stred (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit_bub_Callback(hObject, eventdata, handles)
% hObject    handle to edit_bub (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_bub as text
%        str2double(get(hObject,'String')) returns contents of edit_bub as a double


% --- Executes during object creation, after setting all properties.
function edit_bub_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_bub (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pb_stred.
function pb_stred_Callback(hObject, eventdata, handles)
% hObject    handle to pb_stred (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global hhh
prikaz=get(handles.pb_stred,'string');

if strcmp(prikaz,'zm')   
set(handles.pb_stred,'string','potvr');
    try
    hhh.delete();
    end
hhh=imdistline;
hhh.setColor('g');

else 
set(handles.pb_stred,'string','zm');
delka=getDistance(hhh);
set(handles.edit_stred,'string',int2str(delka));
end

% --- Executes on button press in pb_bub.
function pb_bub_Callback(hObject, eventdata, handles)
% hObject    handle to pb_bub (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global hh
prikaz=get(handles.pb_bub,'string');

if strcmp(prikaz,'zm')   
set(handles.pb_bub,'string','potvr');
    try
    hh.delete();
    catch 
    end
hh=imdistline;
hh.setColor('r');
else 
set(handles.pb_bub,'string','zm');
delka=getDistance(hh);
set(handles.edit_bub,'string',int2str(delka));
end

% --- Executes on button press in pb_param.
function pb_param_Callback(hObject, eventdata, handles)
% hObject    handle to pb_param (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global IA DeviceID Format

set(handles.edit_status,'String','Status:  Nastav parametry kamery .....')
try 
   stoppreview(handles.VidObj);
end

IAHI=imaqhwinfo;
IA=(IAHI.InstalledAdaptors);
D=menu('Vyber nainstalovan video adaptor:',IA);
if isempty(IA)||D==0
   msgbox({'Na tomto potai nejsou nainstalovan dn "Videoinput adaptors" !'})
    return
end
IA=char(IA);
IA=IA(D,:);
IA(IA==' ')=[];
x=imaqhwinfo(IA);

try
DeviceID=menu('Vyber nzev zazen:',x.DeviceInfo.DeviceName);
F=x.DeviceInfo(DeviceID).SupportedFormats;
nF=menu('Vyber formt:',F);
Format=F{nF};
set(handles.edit_status,'String','Status:  Parametry kamery nastaveny.....')
catch e
   warndlg({'Zkus jin zazen nebo formt!'})
    return
end

set(handles.edit_status,'String','Status:  Parametry kamery nastaveny .....')
set(handles.text_adaptor,'String',IA);
set(handles.text_kamera,'String',x.DeviceInfo(DeviceID).DeviceName);
set(handles.text_rozliseni,'String',Format);
pause(1)
set(handles.edit_status,'String','Status:  ekm na pkaz .....')


% --- Executes on button press in pb_spust.
function pb_spust_Callback(hObject, eventdata, handles)
% hObject    handle to pb_spust (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global IA DeviceID Format 
set(findall(handles.panel_lib, '-property', 'enable'), 'enable', 'off');
set(findall(handles.panel_detec, '-property', 'enable'), 'enable', 'off');
try
VidObj= videoinput(IA, DeviceID, Format);
handles.VidObj=VidObj;
VidObj.ReturnedColorSpace = 'rgb';
vidRes = get(handles.VidObj, 'VideoResolution');
nBands = get(handles.VidObj, 'NumberOfBands');
hImage = image( zeros(vidRes(2), vidRes(1), nBands),'parent', handles.PRW);
preview(handles.VidObj, hImage)
set(handles.edit_status,'String','Status:  Kamera sputna .....')
catch E
    msgbox({'Configure The Cam Correctly!',' ',E.message},'CAM INFO')
end
guidata(hObject, handles);


% --------------------------------------------------------------------
function uipanel1_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to uipanel1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in pb_set_hrany.
function pb_set_hrany_Callback(hObject, eventdata, handles)
% hObject    handle to pb_set_hrany (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
info=get(findall(handles.panel_detec, '-property', 'enable'), 'enable');
if strcmp(info{1},'on');
set(handles.edit_status,'String','Status:  ekm na pkaz .....')
set(findall(handles.panel_detec, '-property', 'enable'), 'enable', 'off');
imshow('logo_cvut.jpg');
else
    set(handles.edit_status,'String','Status:  Nastav hranov detektor .....')
set(findall(handles.panel_lib, '-property', 'enable'), 'enable', 'off');
set(findall(handles.panel_detec, '-property', 'enable'), 'enable', 'on');
img=getsnapshot(handles.VidObj); 
img_gr=rgb2gray(img);
detector=get(handles.pop_detec,'String');
indx=get(handles.pop_detec,'ListboxTop');
thresh=get(handles.edit_detec,'String');
img_edge=edge(img_gr,detector{indx},str2num(thresh));
imshow(img_edge);
end





function edit_cit_Callback(hObject, eventdata, handles)
% hObject    handle to edit_cit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_cit as text
%        str2double(get(hObject,'String')) returns contents of edit_cit as a double


% --- Executes during object creation, after setting all properties.
function edit_cit_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_cit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pb_set_lib.
function pb_set_lib_Callback(hObject, eventdata, handles)
% hObject    handle to pb_set_lib (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
info=get(findall(handles.panel_lib, '-property', 'enable'), 'enable');
if strcmp(info{1},'on');
set(handles.edit_status,'String','Status:  ekm na pkaz .....')
set(findall(handles.panel_lib, '-property', 'enable'), 'enable', 'off');
imshow('logo_cvut.jpg');
else
set(handles.edit_status,'String','Status:  Nastav parametry libely .....')
set(findall(handles.panel_lib, '-property', 'enable'), 'enable', 'on');
set(findall(handles.panel_detec, '-property', 'enable'), 'enable', 'off');
img=getsnapshot(handles.VidObj); 
imshow(img);
end



function edit_velik_Callback(hObject, eventdata, handles)
% hObject    handle to edit_velik (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_velik as text
%        str2double(get(hObject,'String')) returns contents of edit_velik as a double


% --- Executes during object creation, after setting all properties.
function edit_velik_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_velik (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end

% --- Executes on button press in pb_start.
function pb_start_Callback(hObject, eventdata, handles)
% hObject    handle to pb_start (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
global IA DeviceID Format
set(findall(handles.panel_lib, '-property', 'enable'), 'enable', 'off');
set(findall(handles.panel_detec, '-property', 'enable'), 'enable', 'off');


%% uloen nastavench hodnot 
Kam=get(handles.text_kamera,'String');
Prum_bub=get(handles.edit_bub,'String');
Prum_lib=get(handles.edit_stred,'String');
Cit_lib=get(handles.edit_cit,'String');
Vel_lib=get(handles.edit_velik,'String');
Detektor=get(handles.pop_detec,'String');
idx=get(handles.pop_detec,'ListboxTop');
Detektor=Detektor{idx};
Prah=get(handles.edit_detec,'String');
Presnost=get(handles.edit_presnost,'String');
%% vymazn pedchozch vsledk

set(handles.text_xbub,'String','................');
set(handles.text_ybub,'String','................');

set(handles.text_xlib,'String','................');
set(handles.text_ylib,'String','................');

set(handles.text_hnaklon,'String','................');
set(handles.text_vnaklon,'String','................');

set(handles.text_hnaklon_g,'String','');
set(handles.text_vnaklon_g,'String','');

set(handles.text_cas,'String','................');
%% pevod hodnot z textu na sla
set(handles.edit_status,'String','Status:  Detekce objekt .....')
img=getsnapshot(handles.VidObj);
Prah=str2num(Prah);
Cit_lib=str2num(Cit_lib);
Prum_bub=str2num(Prum_bub);
Prum_lib=str2num(Prum_lib);
Vel_lib=str2num(Vel_lib);
Presnost=str2num(Presnost);
%% proces urovnvn
tic
[x_bub,y_bub]=center(img,Prum_bub/2,Detektor,Prah);

[x_lib,y_lib,r_lib]=center(img,Prum_lib/2,Detektor,Prah);

set(handles.text_xbub,'String',num2str(x_bub));
set(handles.text_ybub,'String',num2str(y_bub));

set(handles.text_xlib,'String',num2str(x_lib));
set(handles.text_ylib,'String',num2str(y_lib));

imshow(img);
hold on

plot(x_bub,y_bub,'r+')
kruznice(x_bub,y_bub,Prum_bub/2,'r');
plot(x_lib,y_lib,'g+')
kruznice(x_lib,y_lib,Prum_lib/2,'g');
hold off

[otacky,nh,nv,nhg,nvg]=naklony(x_bub,x_lib,y_bub,y_lib,r_lib,Vel_lib,Cit_lib);

set(handles.text_hnaklon,'String',v2st(nh));
set(handles.text_vnaklon,'String',v2st(nv));
set(handles.text_hnaklon_g,'String',num2str(nhg));
set(handles.text_vnaklon_g,'String',num2str(nvg));


while abs(nhg)>Presnost || abs(nvg)>Presnost
set(handles.edit_status,'String','Status:  Realizace nklon .....')    
motors(handles.s,otacky);

pause(1);
set(handles.edit_status,'String','Status:  Detekce objekt .....')
img=getsnapshot(handles.VidObj);

imshow(img);
hold on

[x_bub,y_bub]=center(img,Prum_bub/2,Detektor,Prah);

set(handles.text_xbub,'String',num2str(x_bub));
set(handles.text_ybub,'String',num2str(y_bub));

set(handles.text_xlib,'String',num2str(x_lib));
set(handles.text_ylib,'String',num2str(y_lib));
 

plot(x_bub,y_bub,'r+')
kruznice(x_bub,y_bub,Prum_bub/2,'r');
plot(x_lib,y_lib,'g+')
kruznice(x_lib,y_lib,Prum_lib/2,'g');
hold off

[otacky,nh,nv,nhg,nvg]=naklony(x_bub,x_lib,y_bub,y_lib,r_lib,Vel_lib,Cit_lib);

set(handles.text_hnaklon,'String',v2st(nh));
set(handles.text_vnaklon,'String',v2st(nv));
set(handles.text_hnaklon_g,'String',strcat('(',num2str(nhg),' gon)'));
set(handles.text_vnaklon_g,'String',strcat('(',num2str(nvg),' gon)'));


    
end

cas=toc;
set(handles.text_cas,'String',num2str(cas));

%% uloen nastavench hodnot do souboru 'settings.txt'
set(handles.edit_status,'String','Status:  Uloen aktulnho nastaven .....')
fileID=fopen('settings.txt','w');
fprintf(fileID,'%s\n',IA,num2str(DeviceID),Kam,Format,num2str(Prum_bub),num2str(Prum_lib),num2str(Cit_lib),num2str(Vel_lib),num2str(Presnost),Detektor,num2str(Prah));
fclose('all');
pause(0.5)
set(handles.edit_status,'String','Status:  ekm na pkaz .....')


% --- Executes on button press in pb_plus.
function pb_plus_Callback(hObject, eventdata, handles)
% hObject    handle to pb_plus (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
hodnota=str2num(get(handles.edit_detec,'String'));
pric=0.01;

if hodnota+pric<1
    set(handles.edit_detec,'String',num2str(hodnota+pric));
    edit_detec_Callback(hObject, eventdata, handles);
end

% --- Executes on button press in pb_minus.
function pb_minus_Callback(hObject, eventdata, handles)
% hObject    handle to pb_minus (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
hodnota=str2num(get(handles.edit_detec,'String'));
pric=0.01;

if hodnota-pric>0
    set(handles.edit_detec,'String',num2str(hodnota-pric));
    edit_detec_Callback(hObject, eventdata, handles);    
end


% --- Executes on selection change in pop_com.
function pop_com_Callback(hObject, eventdata, handles)
% hObject    handle to pop_com (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns pop_com contents as cell array
%        contents{get(hObject,'Value')} returns selected item from pop_com


% --- Executes during object creation, after setting all properties.
function pop_com_CreateFcn(hObject, eventdata, handles)
% hObject    handle to pop_com (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pb_com.
function pb_com_Callback(hObject, eventdata, handles)
% hObject    handle to pb_com (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
stav=get(handles.pb_com,'String');
%COM=get(handles.pop_com,'String');


COM=get(handles.pop_com,'String');
idx=get(handles.pop_com,'ListboxTop');
COM=COM{idx};

if strcmp(stav,'pipojit');
    
    s=serial(COM);
    set(s,'DataBits',8);
    set(s,'StopBits',1);
    set(s,'BaudRate',9600);
    set(s,'Parity','none');
    fopen(s);
    handles.s=s;
    set(handles.pb_com,'String','odpojit');
else
    
    fclose(handles.s);
    set(handles.pb_com,'String','pipojit');
end
guidata(hObject, handles);



function edit_presnost_Callback(hObject, eventdata, handles)
% hObject    handle to edit_presnost (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_presnost as text
%        str2double(get(hObject,'String')) returns contents of edit_presnost as a double


% --- Executes during object creation, after setting all properties.
function edit_presnost_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_presnost (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
